/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.compliance.server.support;

/**
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.3 $
 */
public class InvocationHandlerTest
   implements InvocationHandlerTestMBean
{
   String attribute = "Attribute";

   public boolean invokeNoArgsNoReturnInvoked = false;
   public boolean invokeNoReturnInvoked = false;

   public boolean primitive;
   public Boolean type;

   public String getAttribute()
   {
      return attribute;
   }

   public void setAttribute(String attribute)
   {
      this.attribute = attribute;
   }

   public boolean isIsPrimitive()
   {
      return primitive;
   }

   public void setIsPrimitive(boolean bool)
   {
      this.primitive = bool;
   }

   public Boolean isIsType()
   {
      return type;
   }

   public void setIsType(Boolean bool)
   {
      this.type = bool;
   }

   public void invokeNoArgsNoReturn()
   {
      invokeNoArgsNoReturnInvoked = true;
   }

   public String invokeNoArgs()
   {
      return("invokeNoArgs");
   }

   public void invokeNoReturn(String parameter)
   {
      invokeNoReturnInvoked = true;
   }

   public String invoke(String parameter)
   {
      return parameter;
   }

   public Object invokeMixedParameters(String parameter1, int parameter2, Object parameter3)
   {
      return parameter3;
   }
}